Last Comment Bug 485686 - Page Info does not display any information about video stream from video tag
: Page Info does not display any information about video stream from video tag
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Page Info (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.8
Assigned To: Philip Chee
:
:
Mentors:
http://videos.mozilla.org/firefox/3.5...
: 501331 (view as bug list)
Depends on: 448630
Blocks: TrackAVUI
  Show dependency treegraph
 
Reported: 2009-03-28 03:49 PDT by Georg Maaß
Modified: 2011-12-20 09:19 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Patch v1.0 Straight port. (6.44 KB, patch)
2011-12-09 08:41 PST, Philip Chee
neil: review+
Details | Diff | Splinter Review
Patch v1.1 as checked in. r=Neil (6.17 KB, text/plain)
2011-12-20 08:09 PST, Philip Chee
no flags Details

Description Georg Maaß 2009-03-28 03:49:21 PDT
User-Agent:       Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US; rv:1.9.1b4pre) Gecko/20090313 SeaMonkey/2.0b1pre
Build Identifier: Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US; rv:1.9.1b4pre) Gecko/20090313 SeaMonkey/2.0b1pre

When a video stream is displayed on the the page being provided via video tag, I expect to find information about that video stream in the Page Info on tab media, but there it does not appear.

The page http://air.mozilla.com/europe/ contains a video element with src="http://icecast.mozilla.org/maow.ogv"; the video is displayed correctly on the web page, but no information about the video is provided in the Page Info on tab media.

Reproducible: Always
Comment 1 Bruno 'Aqualon' Escherl 2009-03-28 04:16:46 PDT
Confirming with Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1b4pre) Gecko/20090328 SeaMonkey/2.0b1pre
Comment 2 Frank Wein [:mcsmurf] 2009-03-28 18:10:49 PDT
Also see Bug 448630, that's the Firefox version of this bug here.
Comment 3 Philip Chee 2009-06-30 03:48:50 PDT
*** Bug 501331 has been marked as a duplicate of this bug. ***
Comment 4 Philip Chee 2011-12-09 08:41:46 PST
Created attachment 580432 [details] [diff] [review]
Patch v1.0 Straight port.

This is a SeaMonkey port of Firefox Bug 448630 and dependencies.
http://www.seamonkey-project.org/dev/project-areas lists db48x as the owner of the SeaMonkey PageInfo code so setting review flags appropriately.
Comment 5 Philip Chee 2011-12-20 01:32:25 PST
Comment on attachment 580432 [details] [diff] [review]
Patch v1.0 Straight port.

Switching requestee.
Comment 6 neil@parkwaycc.co.uk 2011-12-20 04:17:43 PST
Comment on attachment 580432 [details] [diff] [review]
Patch v1.0 Straight port.

>+  else if (item instanceof HTMLAudioElement && isProtocolAllowed) {
>+    newImage = new Audio;
>+    newImage.id = "thepreviewimage";
>+    newImage.src = url;
>+    newImage.controls = true;
Please turn buffering off for audio elements by specifying newImage.preload = "metadata"; (this is the default for video elements). r=me with that fixed.

>+  if ((width != physWidth || height != physHeight) && !isAudio)
[Not sure what the point is since we never set a width for audio elements.]
Comment 7 Philip Chee 2011-12-20 08:09:59 PST
Created attachment 583171 [details]
Patch v1.1 as checked in. r=Neil

> Please turn buffering off for audio elements by specifying
> newImage.preload = "metadata"; (this is the default for video elements).
> r=me with that fixed.
Fixed.

>> +  if ((width != physWidth || height != physHeight) && !isAudio)
> [Not sure what the point is since we never set a width for audio elements.]
Fixed.

Pushed to comm-central:
http://hg.mozilla.org/comm-central/rev/4210984aef0b

Note You need to log in before you can comment on or make changes to this bug.